Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 234454 (perl-PostScript) - Review Request: perl-PostScript - PostScript Perl module
Summary: Review Request: perl-PostScript - PostScript Perl module
Keywords:
Status: CLOSED NEXTRELEASE
Alias: perl-PostScript
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Chris Weyl
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks: perl-bioperl
TreeView+ depends on / blocked
 
Reported: 2007-03-29 12:55 UTC by Alex Lancaster
Modified: 2007-11-30 22:12 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-04-02 23:02:56 UTC
cweyl: fedora-review+
jwboyer: fedora-cvs+


Attachments (Terms of Use)

Description Alex Lancaster 2007-03-29 12:55:01 UTC
Spec URL: http://allele5.biol.berkeley.edu/~alex/fedora/perl-PostScript.spec
SRPM URL: http://allele5.biol.berkeley.edu/~alex/fedora/perl-PostScript-0.06-1.src.rpm
Description: 
Perl package that generates PostScript files.

Comment 1 Alex Lancaster 2007-03-29 12:59:50 UTC
License is described in TextBlock.pm:

Copyright 1998, 1999 Shawn Wallace. All rights reserved.

Contact the author: shawn@as220.org
http://www.as220.org/shawn

Portions of code contributed by Dan Smeltz.

This is free software. You may use, modify, and
redistribute this package under the same terms as Perl itself.


Comment 2 Chris Weyl 2007-03-31 16:06:14 UTC
Looks good :)

+ source files match upstream:
2a91cc23f2d8958e063f7ff09163faa0  PostScript-0.06.tar.gz
2a91cc23f2d8958e063f7ff09163faa0  ../PostScript-0.06.tar.gz
+ package meets naming and versioning guidelines.
+ specfile is properly named, is cleanly written and uses macros consistently.
+ dist tag is present.
+ build root is correct.
+ license field matches the actual license.
+ license is open source-compatible.  License text not included upstream. 
+ latest version is being packaged.
+ BuildRequires are proper.
+ compiler flags are appropriate.
+ %clean is present.
+ package installs properly
O no debuginfo package -- noarch
+ rpmlint is silent.
+ final provides and requires are sane:
** perl-PostScript-0.06-1.fc6.noarch.rpm
== rpmlint
== provides
perl(PostScript::Document) = 0.06
perl(PostScript::Elements)  
perl(PostScript::Metrics) = 0.06
perl(PostScript::TextBlock) = 0.06
perl-PostScript = 0.06-1.fc6
== requires
perl(:MODULE_COMPAT_5.8.8)  
perl(PostScript::Metrics)  
perl(PostScript::TextBlock)  
perl(strict)  
perl(vars)  
O %check is present -- no tests defined, however
+ no shared libraries are added to the regular linker search paths.
+ owns the directories it creates.
+ doesn't own any directories it shouldn't.
+ no duplicates in %files.
+ file permissions are appropriate.
+ no scriptlets present.
+ code, not content.
+ documentation is small, so no -docs subpackage is necessary.
+ %docs are not necessary for the proper functioning of the package.
+ no headers.
+ no pkgconfig files.
+ no libtool .la droppings.
+ not a GUI app.

APPROVED

Comment 3 Alex Lancaster 2007-04-02 07:33:14 UTC
New Package CVS Request
=======================
Package Name: perl-PostScript
Short Description: Perl package that generates PostScript files.
Owners: alexl@users.sourceforge.net
Branches: FC-5 FC-6
InitialCC: 

Comment 4 Alex Lancaster 2007-04-02 23:02:56 UTC
Builds in all branches. Closing.


Note You need to log in before you can comment on or make changes to this bug.